commit:     67f0d8a3e7a46f03f5ecd08ab8d30c8e0b09b469
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  9 04:34:38 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul  9 04:53:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67f0d8a3

dev-python/alembic: Bump to 1.16.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/alembic/Manifest              |  1 +
 dev-python/alembic/alembic-1.16.3.ebuild | 57 ++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index e8c8ef47aeb8..55b9619d1ce0 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1 +1,2 @@
 DIST alembic-1.16.2.tar.gz 1963563 BLAKE2B 
5a2fd7a1413b6b8f5c30a8dd28e3eb9fb503fdb9cf7e74f33d8a17e2874cdd7c1e174c0d89764d6a5a7007bf55209419e076fb535c9a77f87a51eccfe1935c0e
 SHA512 
1d8bf5b05fb94dcc2093b4bb8ca73cc3f5ac28d3aea46d7b4318d98bbae8468ca474a86c7203a64d6d4472c3f2f94e1b83a5bcd9d33c41e481fb304ef1592fbd
+DIST alembic-1.16.3.tar.gz 1967462 BLAKE2B 
1e5dbddc98859e9f0966917c473a45ae0a0bdefee2ccbbb4d5c17c48f4b57b8635dd0896c96be351bae00c21a221c1c7b1d574824338d09c294c0698b8a1e01f
 SHA512 
9025ce25aa524a971b93cfe3406d3c75d4dba47dfa4067a8d23c24fc27c00b19f3da726d37933e91fb715a8ab72677a4921101f61b80ea9d09148271b33de3f3

diff --git a/dev-python/alembic/alembic-1.16.3.ebuild 
b/dev-python/alembic/alembic-1.16.3.ebuild
new file mode 100644
index 000000000000..73a582d9ea41
--- /dev/null
+++ b/dev-python/alembic/alembic-1.16.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+       https://github.com/sqlalchemy/alembic/
+       https://pypi.org/project/alembic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+       >=dev-python/sqlalchemy-1.4.0[${PYTHON_USEDEP}]
+       dev-python/mako[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.12[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               sys-libs/timezone-data
+       )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=()
+
+       if ! has_version "dev-python/black[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_post_write.py::RunHookTest::test_module
+                       
tests/test_post_write.py::RunHookTest::test_module_black_with_cwd
+                       
tests/test_post_write.py::RunHookTest::test_module_filename_interpolation
+                       
tests/test_post_write.py::RunHookTest::test_module_path_in_config
+               )
+       fi
+
+       # setup.cfg contains -p no:warnings in addopts which triggers
+       # datetime.utcfromtimestamp() deprecation warning as an error in py3.12
+       epytest -o addopts=
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/. )
+       distutils-r1_python_install_all
+}

Reply via email to